Admin/Create Dashboard
POST /v1/admin/dashboards

Create Dashboard

Base URL https://api.{cluster}.{platform}.voiger.io
Request · cURL
curl -X POST https://api.{cluster}.{platform}.voiger.io/v1/admin/dashboards \
  -H "Cookie: sid=$VOIGER_SESSION" \
  -H "x-workspace-code: your-workspace-code" \
  -H "x-csrf-token: $CSRF_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
       "dashboard": {
         "name": "My Sales Dashboard",
         "description": "Sales analytics",
         "image_id": "a9788d2e-ca37-41e3-b440-85ae6f8cd4c6",
         "widgets": [
           {
             "category": "analytics",
             "key": "analytics/live_queues",
             "sub_category": "live",
             "settings": {
               "position": 1
             }
           }
         ]
       }
     }'

Parameters

x-workspace-code string required in header
x-csrf-token string required in header

Response

dashboard
any